* {
    -webkit-overflow-scrolling: touch;
  }
  html {
    font-size : 16px;/* 设置rem基准 */
  }
  html,body {
    font-family: "微软雅黑";
    -ms-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
    width:100%;
    height: 100%;
    margin: 0;
    padding: 0;
  }
  a {
    background-color: transparent;
  }
  a:active,
  a:hover {
    outline: 0;
  }
  img {
    border: 0;
  }
  p {
    padding: 0;
    margin: 0;
  }    
  h1,h2,h3,h4,h5,h6{
      margin: 0;
  }  
  ul{
    padding: 0;
    margin: 0;
    list-style-position: inside;
    list-style-type: none;
  }                   
  :-moz-placeholder {
    /* Mozilla Firefox 4 to 18 */
    color: #999999;
    opacity: 1;
  }
  
  ::-moz-placeholder {
    /* Mozilla Firefox 19+ */
    color: #999999;
    opacity: 1;
  }
  
  input:-ms-input-placeholder {
    color: #999999;
    opacity: 1;
  }
  
  input::-webkit-input-placeholder {
    color: #999999;
    opacity: 1;
  }
  input[type="button"],
  input[type="submit"],
  input[type="reset"],
  input[type="text"],
  input[type="date"],
  input[type="tel"],
  input[type="search"],
  input[type="password"] {
    -webkit-appearance: none;
    -webkit-tap-highlight-color: rgb(0, 0, 0, 0);
  }
  textarea {
    -webkit-appearance: none;
    -webkit-tap-highlight-color: rgb(0, 0, 0, 0);
  }
  select {
    -webkit-appearance: none;
    -webkit-tap-highlight-color: rgb(0, 0, 0, 0);
  }
  
  textarea {
    -webkit-appearance: none;
    -webkit-tap-highlight-color: rgb(0, 0, 0, 0);
  }
  
  select {
    -webkit-appearance: none;
    -webkit-tap-highlight-color: rgb(0, 0, 0, 0);
  }
  textarea::-webkit-input-placeholder {
    color: #b6b6b6 !important;
    opacity: 1;
  }
  textarea:-ms-input-placeholder {
    color: #b6b6b6 !important;
    opacity: 1;
  }
  textarea {
    resize: none;
  }
  .fl{
      float:left;
  }
  .fr{
      float: right;
  }
  .clear::after{
    content:"";
    display: block;
    clear: both;
}
.hideline1{
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.hideline2{
  overflow: hidden;  
  text-overflow: ellipsis;/*可以用来多行文本的情况下，用省略号“...”隐藏超出范围的文本 */  
  -webkit-line-clamp: 2;/*限制在一个块元素显示的文本的行数*/  
  display: -webkit-box!important;/*必须结合的属性，将对象作为弹性伸缩盒子模型显示 */  
  -webkit-box-orient: vertical;/*必须结合的属性，设置或检索伸缩盒对象的子元素的排列方式 */  
}